## cmake 2.6.0

=== Utilities/CMakeLists.txt ===
SUBDIRS(Doxygen KWStyle)

MAKE_DIRECTORY(${CMake_BINARY_DIR}/Docs)

# Add a documentation target.
SET(DOC_FILES "")

MACRO(ADD_DOCS target dependency)
  # Generate documentation for "ctest" executable.
  GET_TARGET_PROPERTY(CMD ${target} LOCATION)
  # only generate the documentation if the target is actually built
  IF(CMD)
    ADD_CUSTOM_COMMAND(
      OUTPUT ${CMake_BINARY_DIR}/Docs/${target}.txt
      COMMAND ${CMD}
      ARGS --help-full ${CMake_BINARY_DIR}/Docs/${target}.txt
           --help-full ${CMake_BINARY_DIR}/Docs/${target}.html
           --help-full ${CMake_BINARY_DIR}/Docs/${target}.1
      DEPENDS ${target}
      MAIN_DEPENDENCY ${dependency}
      )
    INSTALL_FILES(${CMAKE_MAN_DIR}/man1 FILES ${CMake_BINARY_DIR}/Docs/${target}.1)
    INSTALL_FILES(${CMAKE_DOC_DIR} FILES
      ${CMake_BINARY_DIR}/Docs/${target}.txt
      ${CMake_BINARY_DIR}/Docs/${target}.html
      )
    SET(DOC_FILES ${DOC_FILES} ${CMake_BINARY_DIR}/Docs/${target}.txt)
  ENDIF(CMD)
ENDMACRO(ADD_DOCS target dependency)

# add the docs for the executables
ADD_DOCS(ctest      ${CMake_SOURCE_DIR}/Utilities/Doxygen/authors.txt)
ADD_DOCS(cpack      ${CMake_SOURCE_DIR}/Utilities/Doxygen/authors.txt)
ADD_DOCS(ccmake     ${CMake_SOURCE_DIR}/Utilities/Doxygen/authors.txt)
ADD_DOCS(CMakeSetup ${CMake_SOURCE_DIR}/Utilities/Doxygen/doxyfile.in)

# add the documentation for cmake itself

GET_TARGET_PROPERTY(CMD cmake LOCATION)
ADD_CUSTOM_COMMAND(
  OUTPUT ${CMake_BINARY_DIR}/Docs/cmake.txt
  COMMAND ${CMD} 
  ARGS --copyright ${CMake_BINARY_DIR}/Docs/Copyright.txt
       --help-full ${CMake_BINARY_DIR}/Docs/cmake.txt
       --help-full ${CMake_BINARY_DIR}/Docs/cmake.html
       --help-full ${CMake_BINARY_DIR}/Docs/cmake.1
       --help-properties ${CMake_BINARY_DIR}/Docs/cmake-properties.txt
       --help-properties ${CMake_BINARY_DIR}/Docs/cmake-properties.html
       --help-properties ${CMake_BINARY_DIR}/Docs/cmakeprops.1
       --help-variables ${CMake_BINARY_DIR}/Docs/cmake-variables.txt
       --help-variables ${CMake_BINARY_DIR}/Docs/cmake-variables.html
       --help-variables ${CMake_BINARY_DIR}/Docs/cmakevars.1
       --help-modules ${CMake_BINARY_DIR}/Docs/cmake-modules.txt
       --help-modules ${CMake_BINARY_DIR}/Docs/cmake-modules.html
       --help-modules ${CMake_BINARY_DIR}/Docs/cmakemodules.1
       --help-commands ${CMake_BINARY_DIR}/Docs/cmake-commands.txt
       --help-commands ${CMake_BINARY_DIR}/Docs/cmake-commands.html
       --help-commands ${CMake_BINARY_DIR}/Docs/cmakecommands.1
       --help-compatcommands ${CMake_BINARY_DIR}/Docs/cmake-compatcommands.txt
       --help-compatcommands ${CMake_BINARY_DIR}/Docs/cmake-compatcommands.html
       --help-compatcommands ${CMake_BINARY_DIR}/Docs/cmakecompat.1
  DEPENDS cmake
  MAIN_DEPENDENCY ${CMake_SOURCE_DIR}/Utilities/Doxygen/authors.txt
  )

INSTALL_FILES(${CMAKE_MAN_DIR}/man1 FILES
              ${CMake_BINARY_DIR}/Docs/cmake.1
              ${CMake_BINARY_DIR}/Docs/cmakecommands.1
              ${CMake_BINARY_DIR}/Docs/cmakecompat.1
              ${CMake_BINARY_DIR}/Docs/cmakeprops.1
              ${CMake_BINARY_DIR}/Docs/cmakevars.1
              ${CMake_BINARY_DIR}/Docs/cmakemodules.1)

INSTALL_FILES(${CMAKE_DOC_DIR} FILES
    ${CMake_BINARY_DIR}/Docs/cmake.txt
    ${CMake_BINARY_DIR}/Docs/cmake.html
    ${CMake_BINARY_DIR}/Docs/cmake-properties.txt
    ${CMake_BINARY_DIR}/Docs/cmake-properties.html
    ${CMake_BINARY_DIR}/Docs/cmake-variables.txt
    ${CMake_BINARY_DIR}/Docs/cmake-variables.html 
   ${CMake_BINARY_DIR}/Docs/cmake-modules.txt
    ${CMake_BINARY_DIR}/Docs/cmake-modules.html
    ${CMake_BINARY_DIR}/Docs/cmake-commands.txt
    ${CMake_BINARY_DIR}/Docs/cmake-commands.html
    ${CMake_BINARY_DIR}/Docs/cmake-compatcommands.txt
    ${CMake_BINARY_DIR}/Docs/cmake-compatcommands.html )

# Drive documentation generation.
ADD_CUSTOM_TARGET(documentation ALL DEPENDS ${DOC_FILES} ${CMake_BINARY_DIR}/Docs/cmake.txt )

=== Source/FLTKDialog/CMakeLists.txt ===
FIND_PACKAGE(FLTK REQUIRED)

SET(SRCS
  CMakeSetupGUIImplementation.cxx
  FLTKDialog.cxx
  FLTKPropertyItemRow.cxx
  FLTKPropertyList.cxx
  )

SET(FLTK_GUI_Files_SRCS
  CMakeSetupGUI.fl
  )

INCLUDE_DIRECTORIES(${FLTK_INCLUDE_PATH})

FLTK_WRAP_UI(FLCMakeSetup ${FLTK_GUI_Files_SRCS})

ADD_EXECUTABLE(FLCMakeSetup ${SRCS} ${FLCMakeSetup_FLTK_UI_SRCS} )
TARGET_LINK_LIBRARIES(FLCMakeSetup ${FLTK_LIBRARY} CMakeLib)

=== Source/QtDialog/CMakeLists.txt ===
PROJECT(QtDialog)
SET(QT_MIN_VERSION "4.2.0")
FIND_PACKAGE(Qt4 REQUIRED)

IF(NOT QT4_FOUND)
  MESSAGE(SEND_ERROR "Failed to find Qt 4.3 or greater.")
ELSE(NOT QT4_FOUND)

  INCLUDE(${QT_USE_FILE})
  SET(CMAKE_PACKAGE_QTGUI TRUE)
  # i don't want to install or package the qt gui on windows 
  # unless qt is static
  IF(WIN32 AND NOT QT_CONFIG MATCHES "static")
    SET(CMAKE_PACKAGE_QTGUI FALSE)
  ENDIF(WIN32 AND NOT QT_CONFIG MATCHES "static")
  SET(SRCS
    AddCacheEntry.cxx
    AddCacheEntry.h
    CMakeSetup.cxx
    CMakeSetupDialog.cxx
    CMakeSetupDialog.h
    QCMake.cxx
    QCMake.h
    QCMakeCacheView.cxx
    QCMakeCacheView.h
    QMacInstallDialog.cxx
    QMacInstallDialog.h
    )
  QT4_WRAP_UI(UI_SRCS 
    CMakeSetupDialog.ui
    AddCacheEntry.ui
    MacInstallDialog.ui
    )
  QT4_WRAP_CPP(MOC_SRCS 
    AddCacheEntry.h
    CMakeSetupDialog.h
    QCMake.h
    QCMakeCacheView.h
    QMacInstallDialog.h
    )
  QT4_ADD_RESOURCES(RC_SRCS CMakeSetup.qrc)

  SET(SRCS ${SRCS} ${UI_SRCS} ${MOC_SRCS} ${RC_SRCS})
  IF(Q_WS_WIN)
    SET(SRCS ${SRCS} CMakeSetup.rc)
  ENDIF(Q_WS_WIN)
  IF(Q_WS_MAC)
    SET(SRCS ${SRCS} CMakeSetup.icns)
    SET(MACOSX_BUNDLE_ICON_FILE CMakeSetup.icns)
    SET_SOURCE_FILES_PROPERTIES(CMakeSetup.icns PROPERTIES
      MACOSX_PACKAGE_LOCATION Resources)
  ENDIF(Q_WS_MAC)

  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

  ADD_EXECUTABLE(cmake-gui WIN32 MACOSX_BUNDLE ${SRCS})
  TARGET_LINK_LIBRARIES(cmake-gui CMakeLib ${QT_QTMAIN_LIBRARY} ${QT_LIBRARIES})
  IF(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 2.4)
    IF(APPLE)
      SET_TARGET_PROPERTIES(cmake-gui PROPERTIES
       OUTPUT_NAME ${CMAKE_BUNDLE_NAME})
    ENDIF(APPLE)
    SET(CMAKE_INSTALL_DESTINATION_ARGS 
      BUNDLE DESTINATION "${CMAKE_BUNDLE_LOCATION}")
  ENDIF(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 2.4)
  # if qt is not static and we are on windows then skip the install
  # I don't want to distribute qt dlls
  IF(CMAKE_PACKAGE_QTGUI)
    INSTALL(TARGETS cmake-gui RUNTIME DESTINATION bin
    ${CMAKE_INSTALL_DESTINATION_ARGS})
  ENDIF(CMAKE_PACKAGE_QTGUI)

  IF(UNIX)
    # install a desktop file so CMake appears in the application start menu
    # with an icon
    INSTALL(FILES CMake.desktop DESTINATION share/applications )
    INSTALL(FILES CMakeSetup.png DESTINATION share/pixmaps )
    INSTALL(FILES cmakecache.xml DESTINATION share/mime/packages )
  ENDIF(UNIX)

  IF(APPLE)
    SET(CMAKE_POSTFLIGHT_SCRIPT
      "${CMake_BINARY_DIR}/Source/QtDialog/postflight.sh")
    SET(CMAKE_POSTUPGRADE_SCRIPT
      "${CMake_BINARY_DIR}/Source/QtDialog/postupgrade.sh")
    configure_file("${CMake_SOURCE_DIR}/Source/QtDialog/postflight.sh.in"
      "${CMake_BINARY_DIR}/Source/QtDialog/postflight.sh")
    configure_file("${CMake_SOURCE_DIR}/Source/QtDialog/postupgrade.sh.in"
      "${CMake_BINARY_DIR}/Source/QtDialog/postupgrade.sh")
    INSTALL(CODE "execute_process(COMMAND ln -s \"../MacOS/${CMAKE_BUNDLE_NAME}\" cmake-gui
                  WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/bin)")
    INSTALL(CODE "set(input_file
       \"\$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/MacOS/${CMAKE_BUNDLE_NAME}\")")
    INSTALL(SCRIPT "${CMake_SOURCE_DIR}/Source/QtDialog/CMakeIngestOSXBundleLibraries.cmake")
  ENDIF(APPLE)
  CONFIGURE_FILE("${QtDialog_SOURCE_DIR}/QtDialogCPack.cmake.in"
    "${QtDialog_BINARY_DIR}/QtDialogCPack.cmake" @ONLY)    
ENDIF(NOT QT4_FOUND)

=== Source/WXDialog/CMakeLists.txt ===
##---------------------------------------------------------------------------
## $RCSfile: CMakeLists.txt,v $
## $Source: /cvsroot/CMake/CMake/Source/WXDialog/CMakeLists.txt,v $
## $Revision: 1.25 $
## $Date: 2007-11-05 19:47:20 $
##---------------------------------------------------------------------------
## Author:      Jorgen Bodde
## Copyright:   (c) Jorgen Bodde
## License:     wxWidgets License
##---------------------------------------------------------------------------

# wxWindows -> wxWidgets Jan Woetzel 07/2006
# tested with wx 2.6.3 with "multilib" build on Windows XP

# CMake Options
SET(CMAKE_VERBOSE_MAKEFILE TRUE)

# suppress wx header warnings? 
#SET(HAVE_ISYSTEM 1)

# in addition to wx std libs we need
SET( wxWidgets_USE_LIBS 
  std 
  html adv xml xrc )
FIND_PACKAGE(wxWidgets REQUIRED)
#INCLUDE(${CMAKE_ROOT}/Modules/FindwxWidgets.cmake)

# Start using wx stuff when it is fully found and set
IF(wxWidgets_FOUND)
  INCLUDE( ${wxWidgets_USE_FILE} )

  SET (CMAKE_SRCS 
    CMakeSetupFrame.cpp
    CMakeSetup.cpp
    CMakeSetupFrame.h
    CMakeSetup.h 
    PropertyList.cpp
    PropertyList.h
    app_resources.cpp
    app_resources.h
    progressdlg.cpp
    progressdlg.h 
    aboutdlg.cpp
    aboutdlg.h 
    optionsdlg.cpp
    optionsdlg.h 
    config.h 
    CommandLineInfo.cpp
    CommandLineInfo.h )
  
  # include .rc when windows    
  IF(WIN32)
    SET ( CMAKE_SRCS ${CMAKE_SRCS}  CMakeSetup.rc )
  ENDIF(WIN32)
  
  INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/Source/WXDialog
    ${wxWidgets_INCLUDE_DIR} )
  LINK_DIRECTORIES( ${wxWidgets_LINK_DIRECTORIES} 
    ${CMake_BINARY_DIR}/Source 
    ${CMake_BINARY_DIR}/Source/kwsys )
  
  IF(APPLE)
    ADD_EXECUTABLE(WXDialog MACOSX_BUNDLE  ${CMAKE_SRCS})
  ELSE(APPLE)
    ADD_EXECUTABLE(WXDialog WIN32  ${CMAKE_SRCS})
  ENDIF(APPLE)
  INSTALL_TARGETS(/bin WXDialog)
  
  # not required on MSVS beause bound to _DEBUG, 
  # but other compiler may need it.
  # However, the define prevents multiple build configurations 
  # in one build tree,
  # e.g. MSVS supports Debug;Release
  # TODO: shall we add the define or not - 
  # favor multi config or all compilers? (JW)
  SET(CMAKE_CXX_FLAGS_DEBUG 
    "${CMAKE_CXX_FLAGS_DEBUG} -D__WXDEBUG__ -DWXDEBUG=1")
  
  IF(LINUX)
    ADD_DEFINITIONS( -DLINUX=1 )
  ENDIF(LINUX)
  
  # if the checkbox view functionality is not desired,
  # exclude this part from the smple
  TARGET_LINK_LIBRARIES(WXDialog ${wxWidgets_LIBRARIES} cmsys CMakeLib)
  INSTALL_TARGETS(/bin WXDialog)
ENDIF(wxWidgets_FOUND)

=== Tests/BundleTest/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
PROJECT(BundleTest)
SET(MACOSX_BUNDLE_INFO_STRING "bundle_info_string")
SET(CMAKE_MacOSX_Content_COMPILE_OBJECT "\"${CMAKE_COMMAND}\" -E copy_if_different <SOURCE> <OBJECT>")

ADD_CUSTOM_COMMAND(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/randomResourceFile.plist"
  COMMAND /bin/cp
  ARGS "${CMAKE_CURRENT_SOURCE_DIR}/randomResourceFile.plist.in"
  "${CMAKE_CURRENT_BINARY_DIR}/randomResourceFile.plist")

SET_SOURCE_FILES_PROPERTIES(
  "${CMAKE_CURRENT_BINARY_DIR}/randomResourceFile.plist"
  PROPERTIES
  MACOSX_PACKAGE_LOCATION Resources
  )

SET_SOURCE_FILES_PROPERTIES(
  SomeRandomFile.txt
  "${CMake_SOURCE_DIR}/ChangeLog.txt"
  PROPERTIES
  MACOSX_PACKAGE_LOCATION MacOS
  )

SET(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}/foobar")

# Test building a bundle linking to a shared library.
ADD_LIBRARY(BundleTestLib SHARED BundleLib.cxx)
ADD_EXECUTABLE(BundleTest
  MACOSX_BUNDLE
  BundleTest.cxx
  SomeRandomFile.txt
  "${CMake_SOURCE_DIR}/ChangeLog.txt"
  "${CMAKE_CURRENT_BINARY_DIR}/randomResourceFile.plist"
  )

TARGET_LINK_LIBRARIES(BundleTest BundleTestLib)

# Test bundle installation.
#INSTALL(TARGETS BundleTestLib DESTINATION Applications/BundleTestExe.app/Contents/Plugins)
INSTALL(TARGETS BundleTestLib DESTINATION Applications/SecondBundleExe.app/Contents/Plugins)
INSTALL(TARGETS BundleTest DESTINATION Applications)

# Test whether bundles respect the output name.  Since the library is
# installed into a location that uses this output name this will fail if the
# bundle does not respect the name.  Also the executable will not be found by
# the test driver if this does not work.
SET_TARGET_PROPERTIES(BundleTest PROPERTIES OUTPUT_NAME BundleTestExe)

# Test executable versioning if it is supported.
IF(NOT XCODE)
  SET_TARGET_PROPERTIES(BundleTest PROPERTIES VERSION 1)
ENDIF(NOT XCODE)

# Make sure the executable can find its installed library.
SET_TARGET_PROPERTIES(BundleTestLib PROPERTIES
  INSTALL_NAME_DIR "@executable_path/../Plugins")

INCLUDE(CPack)

# test the framework find stuff
IF(EXISTS /usr/lib/libtcl.dylib
    AND EXISTS /System/Library/Frameworks/Tcl.framework)
  SET(TCL NOTFOUND)
  FIND_LIBRARY(TCL tcl)
  MESSAGE("frame: ${TCL}")
  IF(NOT "${TCL}" MATCHES .framework)
    MESSAGE(FATAL_ERROR "Could not find tcl framework, found ${TCL}")
  ENDIF(NOT "${TCL}" MATCHES .framework)
  SET(TCL NOTFOUND)
  SET(CMAKE_FIND_FRAMEWORK LAST)
  FIND_LIBRARY(TCL tcl)
  IF("${TCL}" MATCHES .framework)
    MESSAGE(FATAL_ERROR "Found framework and should have found dylib ${TCL}")
  ENDIF("${TCL}" MATCHES .framework)
  SET(TCL NOTFOUND)
  SET(CMAKE_FIND_FRAMEWORK NEVER)
  FIND_LIBRARY(TCL tcl)
  IF("${TCL}" MATCHES .framework)
    MESSAGE(FATAL_ERROR "Found framework and should have found dylib ${TCL}")
  ENDIF("${TCL}" MATCHES .framework)
  MESSAGE("not frame: ${TCL}")
  SET(TCL NOTFOUND)
  SET(CMAKE_FIND_FRAMEWORK FIRST)
  FIND_LIBRARY(TCL tcl)
  IF(NOT "${TCL}" MATCHES .framework)
    MESSAGE(FATAL_ERROR "Could not find tcl framework, found ${TCL}")
  ENDIF(NOT "${TCL}" MATCHES .framework)
  MESSAGE("frame: ${TCL}")
ENDIF(EXISTS /usr/lib/libtcl.dylib
  AND EXISTS /System/Library/Frameworks/Tcl.framework)

SUBDIRS(BundleSubDir)

=== Tests/Complex/CMakeLists.txt ===
#
# A more complex test case
#
SET(CMAKE_BACKWARDS_COMPATIBILITY 1.4)
PROJECT (Complex)

# Try setting a new policy.  The IF test is for coverage.
IF(POLICY CMP0003)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(POLICY CMP0003)

# Choose whether to test CMakeLib.
SET(COMPLEX_TEST_CMAKELIB 1)
IF(CMAKE_TEST_DIFFERENT_GENERATOR)
  SET(COMPLEX_TEST_CMAKELIB 0)
ENDIF(CMAKE_TEST_DIFFERENT_GENERATOR)
IF(CMAKE_TEST_SYSTEM_LIBRARIES)
  SET(COMPLEX_TEST_CMAKELIB 0)
ENDIF(CMAKE_TEST_SYSTEM_LIBRARIES)

=== Tests/CustomCommandWorkingDirectory/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
PROJECT(TestWorkingDir)

ADD_CUSTOM_COMMAND(
  OUTPUT "${TestWorkingDir_BINARY_DIR}/working.c"
  COMMAND "${CMAKE_COMMAND}" -E copy ./working.c.in "${TestWorkingDir_BINARY_DIR}/working.c"
  WORKING_DIRECTORY "${TestWorkingDir_SOURCE_DIR}"
  COMMENT "custom command"
)

SET_SOURCE_FILES_PROPERTIES(
  "${TestWorkingDir_BINARY_DIR}/working.c" 
  "${TestWorkingDir_BINARY_DIR}/customTarget.c" 
  PROPERTIES GENERATED 1)

ADD_EXECUTABLE(working "${TestWorkingDir_BINARY_DIR}/working.c" 
  "${TestWorkingDir_BINARY_DIR}/customTarget.c")

ADD_CUSTOM_TARGET(
  Custom ALL
  COMMAND "${CMAKE_COMMAND}" -E copy_if_different ./customTarget.c "${TestWorkingDir_BINARY_DIR}/customTarget.c"
  WORKING_DIRECTORY  "${TestWorkingDir_SOURCE_DIR}"
)

ADD_DEPENDENCIES(working Custom)

=== Tests/ExportImport/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project(ExportImport C)

# Wipe out the install tree to make sure the exporter works.
add_custom_command(
  OUTPUT ${ExportImport_BINARY_DIR}/CleanupProject
  COMMAND ${CMAKE_COMMAND} -E remove_directory ${ExportImport_BINARY_DIR}/Root
  )
add_custom_target(CleanupTarget ALL DEPENDS ${ExportImport_BINARY_DIR}/CleanupProject)
set_property(
  SOURCE ${ExportImport_BINARY_DIR}/CleanupProject
  PROPERTY SYMBOLIC 1
  )

if(CMAKE_CONFIGURATION_TYPES)
  set(NESTED_CONFIG_TYPE -C "${CMAKE_CFG_INTDIR}")
else(CMAKE_CONFIGURATION_TYPES)
  if(CMAKE_BUILD_TYPE)
    set(NESTED_CONFIG_TYPE -C "${CMAKE_BUILD_TYPE}")
  else(CMAKE_BUILD_TYPE)
    set(NESTED_CONFIG_TYPE)
  endif(CMAKE_BUILD_TYPE)
endif(CMAKE_CONFIGURATION_TYPES)

# Build and install the exporter.
add_custom_command(
  OUTPUT ${ExportImport_BINARY_DIR}/ExportProject
  COMMAND ${CMAKE_CTEST_COMMAND} ${NESTED_CONFIG_TYPE}
    --build-and-test
    ${ExportImport_SOURCE_DIR}/Export
    ${ExportImport_BINARY_DIR}/Export
    --build-noclean
    --build-project Export
    --build-target install
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
      -DCMAKE_C_COMPILER:STRING=${CMAKE_C_COMPILER}
      -DCMAKE_C_FLAGS:STRING=${CMAKE_C_FLAGS}
      -DCMAKE_C_FLAGS_DEBUG:STRING=${CMAKE_C_FLAGS_DEBUG}
      -DCMAKE_C_FLAGS_RELEASE:STRING=${CMAKE_C_FLAGS_RELEASE}
      -DCMAKE_C_FLAGS_MINSIZEREL:STRING=${CMAKE_C_FLAGS_MINSIZEREL}
      -DCMAKE_C_FLAGS_RELWITHDEBINFO:STRING=${CMAKE_C_FLAGS_RELWITHDEBINFO}
      -DCMAKE_INSTALL_PREFIX:STRING=${ExportImport_BINARY_DIR}/Root
      -DCMAKE_SKIP_RPATH:BOOL=ON
       )
add_custom_target(ExportTarget ALL DEPENDS ${ExportImport_BINARY_DIR}/ExportProject)
add_dependencies(ExportTarget CleanupTarget)
set_property(
  SOURCE ${ExportImport_BINARY_DIR}/ExportProject
  PROPERTY SYMBOLIC 1
  )

# Build and install the importer.
add_custom_command(
  OUTPUT ${ExportImport_BINARY_DIR}/ImportProject
  COMMAND ${CMAKE_CTEST_COMMAND} ${NESTED_CONFIG_TYPE}
   --build-and-test
   ${ExportImport_SOURCE_DIR}/Import
   ${ExportImport_BINARY_DIR}/Import
   --build-noclean
   --build-project Import
   --build-generator ${CMAKE_GENERATOR}
   --build-makeprogram ${CMAKE_MAKE_PROGRAM}
   --build-options
     -DCMAKE_C_COMPILER:STRING=${CMAKE_C_COMPILER}
     -DCMAKE_C_FLAGS:STRING=${CMAKE_C_FLAGS}
     -DCMAKE_C_FLAGS_DEBUG:STRING=${CMAKE_C_FLAGS_DEBUG}
     -DCMAKE_C_FLAGS_RELEASE:STRING=${CMAKE_C_FLAGS_RELEASE}
     -DCMAKE_C_FLAGS_MINSIZEREL:STRING=${CMAKE_C_FLAGS_MINSIZEREL}
     -DCMAKE_C_FLAGS_RELWITHDEBINFO:STRING=${CMAKE_C_FLAGS_RELWITHDEBINFO}
     -DCMAKE_INSTALL_PREFIX:STRING=${ExportImport_BINARY_DIR}/Root
     -DCMAKE_SKIP_RPATH:BOOL=ON
     )
add_custom_target(ImportTarget ALL DEPENDS ${ExportImport_BINARY_DIR}/ImportProject)
add_dependencies(ImportTarget ExportTarget)
set_property(
  SOURCE ${ExportImport_BINARY_DIR}/ImportProject
  PROPERTY SYMBOLIC 1
  )

add_executable(ExportImport main.c)
add_dependencies(ExportImport ImportTarget)

=== Tests/FindPackageTest/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
PROJECT(FindPackageTest)

# Look for a package that has a find module and may be found.
FIND_PACKAGE(OpenGL QUIET)

# Look for a package that has no find module and will not be found.
FIND_PACKAGE(NotAPackage QUIET)

# Look for a package that has an advanced find module.
FIND_PACKAGE(VTK QUIET)

ADD_EXECUTABLE(FindPackageTest FindPackageTest.cxx)

# test behaviour of cmFindBase wrt. the CMAKE_PREFIX_PATH variable
# foo.h should be found in ${CMAKE_CURRENT_SOURCE_DIR}/include:

SET(CMAKE_PREFIX_PATH /blub /blah "${CMAKE_CURRENT_SOURCE_DIR}")
FIND_PATH(FOO_DIR foo.h)

IF(NOT FOO_DIR)
  MESSAGE(FATAL_ERROR "Did not find foo.h which is in ${CMAKE_CURRENT_SOURCE_DIR}/include
  CMAKE_PREFIX_PATH = ${CMAKE_PREFIX_PATH}")
ENDIF(NOT FOO_DIR)

LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
FIND_PACKAGE(VersionTestA 1)
FIND_PACKAGE(VersionTestB 1.2)
FIND_PACKAGE(VersionTestC 1.2.3)

#-----------------------------------------------------------------------------

#SET(CMAKE_FIND_DEBUG_MODE 1)

# For purposes of the test wipe out previous find results.
SET(PACKAGES
  foo Foo Bar TFramework Tframework TApp Tapp Special
  VersionedA VersionedB
  )
FOREACH(p ${PACKAGES})
  SET(${p}_DIR "" CACHE FILEPATH "Wipe out find results for testing." FORCE)
ENDFOREACH(p)

# Enable framework and bundle searching.  Make sure bundles are found
# before unix-syle packages.
SET(CMAKE_FIND_FRAMEWORK LAST)
SET(CMAKE_FIND_APPBUNDLE FIRST)

# Look for packages with new-style signatures.
FIND_PACKAGE(foo NO_MODULE)
FIND_PACKAGE(Foo CONFIGS FooConfig.cmake)
FIND_PACKAGE(Bar)
FIND_PACKAGE(TFramework CONFIGS TFrameworkConfig.cmake)
FIND_PACKAGE(Tframework)
FIND_PACKAGE(TApp)
FIND_PACKAGE(Tapp CONFIGS tapp-config.cmake)
FIND_PACKAGE(Special NAMES Suffix SuffixTest PATH_SUFFIXES test)
FIND_PACKAGE(VersionedA 2 NAMES zot)
FIND_PACKAGE(VersionedB 3.1 EXACT NAMES zot)

# Expected locations at which packages should be found.
SET(foo_EXPECTED "lib/foo-1.2/foo-config.cmake")
SET(Foo_EXPECTED "lib/foo-1.2/CMake/FooConfig.cmake")
SET(Bar_EXPECTED "lib/Bar/BarConfig.cmake")
SET(Special_EXPECTED "lib/suffix/test/SuffixTestConfig.cmake")
SET(TFramework_EXPECTED
  "TFramework.framework/Versions/A/Resources/CMake/TFrameworkConfig.cmake")
SET(Tframework_EXPECTED
  "TFramework.framework/Versions/A/Resources/tframework-config.cmake")
SET(TApp_EXPECTED
  "TApp.app/Contents/Resources/TAppConfig.cmake")
SET(Tapp_EXPECTED
  "TApp.app/Contents/Resources/cmake/tapp-config.cmake")
SET(VersionedA_EXPECTED "lib/zot-2.0/zot-config.cmake")
SET(VersionedB_EXPECTED "lib/zot-3.1/zot-config.cmake")

# Check the results.
FOREACH(p ${PACKAGES})
  IF(${p}_FOUND)
    # Convert to relative path for comparison to expected location.
    FILE(RELATIVE_PATH REL_${p}_CONFIG "${CMAKE_CURRENT_SOURCE_DIR}"
      "${${p}_CONFIG}")

    # Debugging output.
    IF(CMAKE_FIND_DEBUG_MODE)
      MESSAGE("Package ${p} found [${REL_${p}_CONFIG}]")
    ENDIF(CMAKE_FIND_DEBUG_MODE)

    # Check and report failure.
    IF(NOT "${REL_${p}_CONFIG}" STREQUAL "${${p}_EXPECTED}")
      MESSAGE(SEND_ERROR
        "Package ${p} should have been [${${p}_EXPECTED}] but "
        "was [${REL_${p}_CONFIG}]")
    ENDIF(NOT "${REL_${p}_CONFIG}" STREQUAL "${${p}_EXPECTED}")
  ELSE(${p}_FOUND)
    MESSAGE(SEND_ERROR "Package ${p} not found!")
  ENDIF(${p}_FOUND)
ENDFOREACH(p)

# Check that version information was extracted.
IF(NOT "${VersionedA_VERSION}" STREQUAL "2.0")
  MESSAGE(SEND_ERROR
    "Package VersionedA is version [${VersionedA_VERSION}], not [2.0]")
ENDIF(NOT "${VersionedA_VERSION}" STREQUAL "2.0")
IF(NOT "${VersionedA_VERSION_MAJOR}" STREQUAL "2")
  MESSAGE(SEND_ERROR
    "Package VersionedA is major version [${VersionedA_VERSION_MAJOR}], not [2]")
ENDIF(NOT "${VersionedA_VERSION_MAJOR}" STREQUAL "2")
IF(NOT "${VersionedA_VERSION_MINOR}" STREQUAL "0")
  MESSAGE(SEND_ERROR
    "Package VersionedA is minor version [${VersionedA_VERSION_MINOR}], not [0]")
ENDIF(NOT "${VersionedA_VERSION_MINOR}" STREQUAL "0")

IF(NOT "${VersionedB_VERSION}" STREQUAL "3.1")
  MESSAGE(SEND_ERROR
    "Package VersionedB is version [${VersionedB_VERSION}], not [3.1]")
ENDIF(NOT "${VersionedB_VERSION}" STREQUAL "3.1")
IF(NOT "${VersionedB_VERSION_MAJOR}" STREQUAL "3")
  MESSAGE(SEND_ERROR
    "Package VersionedB is major version [${VersionedB_VERSION_MAJOR}], not [3]")
ENDIF(NOT "${VersionedB_VERSION_MAJOR}" STREQUAL "3")
IF(NOT "${VersionedB_VERSION_MINOR}" STREQUAL "1")
  MESSAGE(SEND_ERROR
    "Package VersionedB is minor version [${VersionedB_VERSION_MINOR}], not [1]")
ENDIF(NOT "${VersionedB_VERSION_MINOR}" STREQUAL "1")

IF(NOT "${Special_VERSION}" STREQUAL "1.2")
  MESSAGE(SEND_ERROR
    "Package Special is version [${Special_VERSION}], not [1.2]")
ENDIF(NOT "${Special_VERSION}" STREQUAL "1.2")
IF(NOT "${Special_VERSION_MAJOR}" STREQUAL "1")
  MESSAGE(SEND_ERROR
    "Package Special is major version [${Special_VERSION_MAJOR}], not [1]")
ENDIF(NOT "${Special_VERSION_MAJOR}" STREQUAL "1")
IF(NOT "${Special_VERSION_MINOR}" STREQUAL "2")
  MESSAGE(SEND_ERROR
    "Package Special is minor version [${Special_VERSION_MINOR}], not [2]")
ENDIF(NOT "${Special_VERSION_MINOR}" STREQUAL "2")

=== Tests/Framework/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project(Framework)

add_library(foo SHARED
  foo.cxx
  foo.h
  foo2.h
  fooPublic.h
  fooPrivate.h
  fooNeither.h
  fooBoth.h
  test.lua
  fooDeepPublic.h
)
set_property(SOURCE fooDeepPublic.h
  PROPERTY MACOSX_PACKAGE_LOCATION Headers/Deep
  )
set(foo_ver ver4)

set_target_properties(foo PROPERTIES
  FRAMEWORK TRUE
  FRAMEWORK_VERSION ${foo_ver}
  PRIVATE_HEADER "fooPrivate.h;fooBoth.h"
  PUBLIC_HEADER "foo.h;foo2.h;fooPublic.h;fooBoth.h"
  RESOURCE "test.lua"
  INSTALL_NAME_DIR "@executable_path/../../../Library/Frameworks"
  DEBUG_POSTFIX -d
)
# fooBoth.h is listed as both public and private... (private wins...)
# fooNeither.h is listed as neither public nor private...

add_executable(bar bar.cxx)
target_link_libraries(bar foo)
install(TARGETS foo bar
  RUNTIME DESTINATION Applications/CMakeTestsFramework/bin
  FRAMEWORK DESTINATION Library/Frameworks
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib

  # These are ignored on the Mac... and things are automatically placed in
  # their appropriate Framework sub-folder at build time. (And then the built
  # framework is copied recursively when it is installed.)
  PRIVATE_HEADER DESTINATION share/foo-${foo_ver}/PrivateHeaders
  PUBLIC_HEADER DESTINATION include/foo-${foo_ver}
  RESOURCE DESTINATION share/foo-${foo_ver}/Resources
  # But they are required to be present so that installing a framework on other
  # other platforms will install the pieces of the framework without having to
  # duplicate install rules for the pieces of the framework.
)

# Make a static library and apply the framework properties to it to verify
# that everything still builds correctly, but it will not actually produce
# a framework... The framework properties only apply when the library type
# is SHARED.
#
add_library(fooStatic STATIC
  foo.cxx
  foo.h
  foo2.h
  fooPublic.h
  fooPrivate.h
  fooNeither.h
  fooBoth.h
  test.lua
)
set_target_properties(fooStatic PROPERTIES
  FRAMEWORK TRUE
  FRAMEWORK_VERSION none
)
add_executable(barStatic bar.cxx)
target_link_libraries(barStatic fooStatic)

include(CPack)

=== Tests/PrecompiledHeader/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
PROJECT(PrecompiledHeader C)

# Make sure the proper compiler is in use.
IF(NOT MSVC)
  MESSAGE(FATAL_ERROR "The PrecompiledHeader test works only with MSVC")
ENDIF(NOT MSVC)

# Compute a custom name for the precompiled header.
IF(CMAKE_CONFIGURATION_TYPES)
  SET(PCH_DIR "${CMAKE_CURRENT_BINARY_DIR}/PCH/${CMAKE_CFG_INTDIR}")
ELSE(CMAKE_CONFIGURATION_TYPES)
  SET(PCH_DIR "${CMAKE_CURRENT_BINARY_DIR}/PCH")
ENDIF(CMAKE_CONFIGURATION_TYPES)
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/PCH)

# The VS6 IDE does not support renaming .pch files with /Fp.
IF("${CMAKE_GENERATOR}" MATCHES "Visual Studio 6")
  SET(PCH_USE_INCLUDE_DIR 1)
  SET(PCH_FILE)
ELSE("${CMAKE_GENERATOR}" MATCHES "Visual Studio 6")
  SET(PCH_USE_INCLUDE_DIR 0)
  SET(PCH_FILE "\"/Fp${PCH_DIR}/foo_precompiled.pch\"")
ENDIF("${CMAKE_GENERATOR}" MATCHES "Visual Studio 6")

# Choose between an explicit include path and using /I during
# precompilation.  The /I form is used to test that the PCH is
# actually used.  In practice the include path form would be used.
IF(PCH_USE_INCLUDE_DIR)
  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/include)
ELSE(PCH_USE_INCLUDE_DIR)
  SET(PCH_INCLUDE_DIR "\"/I${CMAKE_CURRENT_SOURCE_DIR}/include\"")
ENDIF(PCH_USE_INCLUDE_DIR)

# Create a target that will use a precompiled header.
SET(foo_SRCS foo1.c foo2.c)
ADD_EXECUTABLE(foo foo_precompile.c ${foo_SRCS})

# Setup flags on the target to create and use the precompiled header.
SET_TARGET_PROPERTIES(foo PROPERTIES
  COMPILE_FLAGS "/Yufoo_precompiled.h /FIfoo_precompiled.h ${PCH_FILE}")
SET_SOURCE_FILES_PROPERTIES(foo_precompile.c PROPERTIES
  COMPILE_FLAGS "/Ycfoo_precompiled.h ${PCH_INCLUDE_DIR}")

# Setup dependencies for precompiled header creation and use.  The VS
# IDE takes care of this automatically.
IF("${CMAKE_GENERATOR}" MATCHES "Makefile")
  # This source file creates the precompiled header as a side-effect.
  SET_SOURCE_FILES_PROPERTIES(foo_precompile.c PROPERTIES
    OBJECT_OUTPUTS "${PCH_DIR}/foo_precompiled.pch")

  # These source files use the precompiled header.
  SET_SOURCE_FILES_PROPERTIES(${foo_SRCS} PROPERTIES
    OBJECT_DEPENDS "${PCH_DIR}/foo_precompiled.pch")
ENDIF("${CMAKE_GENERATOR}" MATCHES "Makefile")

=== Tests/ReturnTest/CMakeLists.txt ===
# a simple C only test case
cmake_minimum_required (VERSION 2.6)
project (ReturnTest)

set (CMAKE_C_FLAGS "${CMAKE_ANSI_CFLAGS} ${CMAKE_C_FLAGS}")

function (FAILED testname)
  message (SEND_ERROR "${testname} failed ${ARGN}")
endfunction (FAILED)

function (PASS testname)
  message ("${testname} passed ${ARGN}")
endfunction (PASS)

# test simple return
function (simple)
  set(simpleResult 1 PARENT_SCOPE)
  return()
  set(simpleResult 0 PARENT_SCOPE)
endfunction (simple)
simple()
if ("${simpleResult}")
  pass ("simple")
else ("${simpleResult}")
  failed ("simple got: ${simpleResult}")
endif ("${simpleResult}")

#test return in an if statement
set (simple2IF 1)
function (simple2)
  set(simple2Result 1 PARENT_SCOPE)
  if (simple2IF)
    return()
  endif (simple2IF)
  set(simple2Result 0 PARENT_SCOPE)
endfunction (simple2)
simple2()
if ("${simple2Result}")
  pass ("simple2")
else ("${simple2Result}")
  failed ("simple2 got: ${simple2Result}")
endif ("${simple2Result}")

#test return in a foreach loop
function (looptest)
  foreach (iter RANGE 1 5)
    set (looptestResult "${iter}" PARENT_SCOPE)
    if ("${iter}" EQUAL 3)
      return ()
    endif ("${iter}" EQUAL 3)
  endforeach (iter)
endfunction (looptest)
looptest()
if ("${looptestResult}" EQUAL 3)
  pass ("looptest")
else ("${looptestResult}" EQUAL 3)
  failed ("looptest got: ${looptestResult}")
endif ("${looptestResult}" EQUAL 3)

#test return in a while loop
function (whiletest)
  set (iter "a")
  while(NOT "${iter}" STREQUAL "aaaaa")
    set (whiletestResult "${iter}" PARENT_SCOPE)
    if ("${iter}" STREQUAL "aaa")
      return ()
    endif ("${iter}" STREQUAL "aaa")
    set (iter "${iter}a")
  endwhile(NOT "${iter}" STREQUAL "aaaaa")
endfunction (whiletest)
whiletest()
if ("${whiletestResult}" STREQUAL "aaa")
  pass ("whiletest")
else ("${whiletestResult}" STREQUAL "aaa")
  failed ("whiletest got: ${whiletestResult}")
endif ("${whiletestResult}" STREQUAL "aaa")

# check subdir return
add_subdirectory(subdir)
get_directory_property(subdirResult DIRECTORY subdir DEFINITION subdirreturn)
if ("${subdirResult}" EQUAL 1)
  pass ("subdir")
else ("${subdirResult}" EQUAL 1)
  failed ("subdir got: ${subdirResult}")
endif ("${subdirResult}" EQUAL 1)

# check return from within a macro
macro (mymacro)
  set (foo 1)
  if (foo)
    return()
  endif (foo)
endmacro(mymacro)

# test simple return
function (simple3)
  set (bar 0)
  set(simple3Result 1 PARENT_SCOPE)
  if (bar)
  else (bar)
    mymacro()
  endif(bar)
  set(simple3Result 0 PARENT_SCOPE)
endfunction (simple3)
simple3()
if ("${simple3Result}")
  pass ("macrotest")
else ("${simple3Result}")
  failed ("macrotest got: ${simple3Result}")
endif ("${simple3Result}")


# test break command now in a foreach
foreach (iter RANGE 1 5)
  set (break1 "${iter}")
  if ("${iter}" EQUAL 3)
    break ()
  endif ("${iter}" EQUAL 3)
endforeach (iter)
if ("${break1}" EQUAL 3)
  pass ("break in foreach")
else ("${break1}" EQUAL 3)
  failed ("break in foreach got: ${break1}")
endif ("${break1}" EQUAL 3)

# test break in a while loop
set (iter "a")
while(NOT "${iter}" STREQUAL "aaaaa")
  if ("${iter}" STREQUAL "aaa")
    break ()
  endif ("${iter}" STREQUAL "aaa")
  set (iter "${iter}a")
endwhile(NOT "${iter}" STREQUAL "aaaaa")
if ("${iter}" STREQUAL "aaa")
  pass ("break in a while")
else ("${iter}" STREQUAL "aaa")
  failed ("break in a whi;e got: ${whiletestResult}")
endif ("${iter}" STREQUAL "aaa")


add_executable (ReturnTest returnTest.c)

## cmake 2.6.1-1maemo3

=== debian/changelog ===
cmake (2.6.1-1maemo3) intrepid; urgency=low

  * Newer upstream.
  * Fix build-deps.
  * Force HAVE_POLL_FINE.
  * Force system libraries.

 -- Jonas Hurrelmann <j@outpo.st>  Sun, 18 Aug 2008 18:24:01 +0200

cmake (2.6.0-5) unstable; urgency=medium

  * Fix build-deps: libncursesw5-dev doesn't work, just use the non wide one.
    This will build ccmake again (Closes: #481392).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 29 Jul 2008 11:05:17 +0200

cmake (2.6.0-4) unstable; urgency=low

  * Really remove dependency on emacsen-common (Closes: #471975).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 14 May 2008 21:01:42 +0200

cmake (2.6.0-3) unstable; urgency=low

  * Remove dependency on emacsen-common (Closes: #471975):
    emacs guys, I was asked in a previous bug (#427763) to byte-compile the
    cmake extension, the policy mandates a dependency upon emacs which is
    silly, and depending upon emacsen-common breaks the whole thing. A
    pre-depends would be insane, WHY ON EARTH is the emacs policy so horribly
    broken ? Until someone answers that, cmake will stay in the previous state
    with byte-compilation, and without any emacs dependency.

  * Add patches/reinstate-arm.diff to fix FTBFS on arm platforms
    (Closes: #481016)

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 13 May 2008 10:18:12 +0200

cmake (2.6.0-2) unstable; urgency=low

  * Upload to unstable this time.
  * Depend upon emacsen-common (Closes: #471975).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 12 May 2008 18:13:33 +0200

cmake (2.6.0-1) experimental; urgency=low

  * Update patches/FindQt4.cmake2.6.diff (Closes: #479907).
  * Add patches/executables-dont-need-fpic.diff (Closes: #478404).
  * Bump Standards-Version to 3.7.3.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 12 May 2008 17:11:04 +0200

cmake (2.6.0~rc8-1.1) experimental; urgency=low

  * Non-maintainer upload with permission from DadCoder. 
    Happy Prague visit.
  * Fix FindQt4.cmake (Closes: #477110)

 -- Sune Vuorela <debian@pusling.com>  Sun, 20 Apr 2008 22:58:33 +0200

cmake (2.6.0~rc8-1) experimental; urgency=low

  * New upstream rc release.
  * Update patches:
     + drop findmpeg2-robustness.diff.
     + drop hurd-SA_SIGINFO.diff.
     + drop nsis-support.diff.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 18 Apr 2008 20:49:30 +0200

cmake (2.4.8-1) unstable; urgency=low

  [ Pierre Habouzit ]
  * New upstream release (Closes: 462335).
  * remove patches/hurd-Platform.diff, merged upstream.

  [ Rafael Laboissiere ]
  * debian/rules, debian/cmake.emacsen-{startup,install,remove}: Allow
    byte-compilation of cmake-mode.el at install time and put in the
    emacsen startup directory just the necessary initialization code
    of cmake-mode (Closes: 427763)

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 25 Jan 2008 10:19:47 +0100

cmake (2.4.7-1) unstable; urgency=low

  * New upstream release.
  * Drop patches/findqt4-binaries-order.diff (Closes: #433105).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 19 Jul 2007 18:58:37 +0200

cmake (2.4.6-1) unstable; urgency=low

  * Upload to unstable.
  * Make FindMPEG2.cmake more robust (Closes: 419134).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 18 Jun 2007 10:24:58 +0100

cmake (2.4.6-0) experimental; urgency=low

  * New upstream release (experimental upload, 2.4.5 must propagate):
     + Ruby NAMES now includes ruby1.8 (Closes: 407481).

  * Add patch to support NSIS on linux properly,
    thanks to Michal Čihař (Closes: 408846).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 13 Jun 2007 12:39:42 +0200

cmake (2.4.5-2) unstable; urgency=low

  * Add myself to Uploaders.
  * Ack my NMU (Closes: 419007, 407155, 407304).
  * Move to quilt, split diff.gz into patches, to avoid losing them.

  * debian/rules:
     + add quilt snipplets.
     + remove commented dh_ calls.
     + remove old cruft, make it shorter.
     + Avoid subshells, use makeism's rather than shell if/then/else.

  * Lintian warnings:
     + use debian/compat rather than DH_COMPAT.
     + add an override for the extra-license-file that in fact is a template.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 07 Jun 2007 11:09:46 +0200

cmake (2.4.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable lib64 paths in FindLibrary, as it's not needed in debian and
    yields incorrect results (Closes: #419007).
  * Apply Hurd Porter patch to deal with undefined SA_SIGINFO
    (Closes: #407304).
  * Reintroduce lost GNU.cmake (Closes: #407155).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 05 Jun 2007 13:28:35 +0200

cmake (2.4.5-1) unstable; urgency=low

  * New upstream bugfix release (Closes: #401071)
    Fix for seg fault when a macro runs a bad command BUG# 3815
    Fix fix for foo.dll.lib that does not break -L/usr/lib in link names
    Fix problem with LIBRARY_OUTPUT_PATH and linking to a dll foo.dll.lib  instead of foo.lib
    Do not depend on optimized libraries for a debug build and visa versa.
    Fix target name matching custom command output conflict.
    Fix FindQt3 so that it does not find qt4
    Fix FindKDE4 so that it only looks for kde4-config 

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon,  4 Dec 2006 16:29:44 -0500

cmake (2.4.4-1) unstable; urgency=low

  * New upstream release
  * Upstream fixes parsing bug (Closes: #392624)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 25 Nov 2006 19:49:38 -0500

cmake (2.4.3-3) unstable; urgency=low

  * Have FindMPEG2 look in paths used in Debian (Closes: #391831)
  * Make FindQt4 more reliable (Closes: #392473)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Nov 2006 11:27:35 -0500

cmake (2.4.3-2) unstable; urgency=low

  * Remove recommends line (Closes: #392013, #392044)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 10 Oct 2006 21:33:40 -0400

cmake (2.4.3-1) unstable; urgency=low

  * New upstream release
  * recognize .F90 as a fortran source extension (Closes: #376587)


=== debian/control ===
Source: cmake
Section: devel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Uploaders: Pierre Habouzit <madcoder@debian.org>
Build-Depends: debhelper (>> 5.0.0), libncurses5-dev, quilt, libcurl3-openssl-dev, libexpat1-dev, libxmlrpc-c3-dev
Standards-Version: 3.7.3

Package: cmake
Architecture: any
Depends: ${shlibs:Depends}
Description: A cross-platform, open-source make system
 CMake is used to control the software compilation process using
 simple platform and compiler independent configuration files. CMake
 generates native makefiles and workspaces that can be used in the
 compiler environment of your choice. CMake is quite sophisticated: it
 is possible to support complex environments requiring system
 configuration, pre-processor generation, code generation, and template
 instantiation.
 .
 CMake was developed by Kitware as part of the NLM Insight
 Segmentation and Registration Toolkit project. The ASCI VIEWS project
 also provided support in the context of their parallel computation
 environment. Other sponsors include the Insight, VTK, and VXL open
 source software communities.

## cmake 2.6.1-1maemo4

=== debian/changelog ===
cmake (2.6.1-1maemo4) intrepid; urgency=low

  * Newer upstream.
  * Fix build-deps.
  * Force HAVE_POLL_FINE.
  * Force system libraries.

 -- Jonas Hurrelmann <j@outpo.st>  Sun, 18 Aug 2008 18:24:01 +0200

## cmake 2.6.1-1maemo5

=== debian/changelog ===
cmake (2.6.1-1maemo5) intrepid; urgency=low

  * Newer upstream.
  * Fix build-deps.
  * Force HAVE_POLL_FINE.
  * Force system libraries.

 -- Jonas Hurrelmann <j@outpo.st>  Sun, 18 Aug 2008 18:24:01 +0200

## cmake 2.6.1-1maemo6

=== debian/changelog ===
cmake (2.6.1-1maemo6) intrepid; urgency=low

  * Newer upstream.
  * Fix build-deps.
  * Force HAVE_POLL_FINE.
  * Force system libraries.

 -- Jonas Hurrelmann <j@outpo.st>  Sun, 18 Aug 2008 18:24:01 +0200

=== debian/rules ===
#!/usr/bin/make -f

# The next line will cause Dart to be used if it is installed...
#USE_DARTP:=$(shell if [ -d /usr/share/Dart ]; then echo true; fi )
USE_DARTP:=

DARCH      := $(shell dpkg --print-installation-architecture)
CFLAGS     := -Wall -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
QUILT_CALL := QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null


# Hack for parisc64 to close bug #133696
ifeq ($(shell arch),parisc64)
CFLAGS += -ffunction-sections
endif

patch: patch-stamp
patch-stamp:
	#$(QUILT_CALL) push -a || test $$? = 2
	touch $@

unpatch:
	#$(QUILT_CALL) pop -a -R || test $$? = 2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# pre-load the cache to avoid setting rpath:
	rm -rf Build && mkdir -p Build
	echo CMAKE_SKIP_RPATH:BOOL=YES        >> Build/CMakeCache.txt
	#echo TARGET_VERSION:STRING=          >> Build/CMakeCache.txt
	#echo TARGET_SOVERSION:STRING=        >> Build/CMakeCache.txt
	#echo BUILD_DOCUMENTATION:BOOL=ON     >> Build/CMakeCache.txt
	#echo BUILD_DOXYGEN:BOOL=ON           >> Build/CMakeCache.txt
	#echo BUILD_WXDialog:BOOL=ON          >> Build/CMakeCache.txt
	echo VERBOSE_BUILD:BOOL=ON            >> Build/CMakeCache.txt
	echo CMAKE_C_FLAGS:STRING=$(CFLAGS)   >> Build/CMakeCache.txt
	echo CMAKE_CXX_FLAGS:STRING=$(CFLAGS) >> Build/CMakeCache.txt
	echo HAVE_POLL_FINE:INTERNAL=1        >> Build/CMakeCache.txt
	echo HAVE_POLL_FINE_COMPILED:INTERNAL=TRUE >> Build/CMakeCache.txt

	$(if $(USE_DARTP),echo DART_ROOT:PATH=/usr/share/Dart              >> Build/CMakeCache.txt)
	$(if $(USE_DARTP),echo BUILDNAME:STRING=cmake_2.2.3-1_$(DARCH).deb >> Build/CMakeCache.txt)
	cd Build && ../bootstrap --prefix=/usr --docdir=/share/doc/cmake --mandir=/share/man --verbose --system-libs
	chmod -x ChangeLog.manual
	chmod -x Modules/*.cmake  Modules/*.cmake.in Modules/*.cxx Modules/Platform/*
	touch $@

build: patch-stamp configure-stamp build-stamp
build-stamp:
	dh_testdir
	cd Build && $(MAKE) $(if $(USE_DARTP),Experimental && $(MAKE) ExperimentalSubmit) -j1
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -rf .pc build-stamp configure-stamp patch-stamp
	rm -rf Build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/cmake.
	cd Build && $(MAKE) DESTDIR=$(CURDIR)/debian/cmake install
	install -D -m 644 debian/cmake.xpm      debian/cmake/usr/share/pixmaps/cmake.xpm
	install -D -m 644 debian/cmake.lintian  debian/cmake/usr/share/lintian/overrides/cmake
	#cp Docs/cmake-indent.vim debian/cmake/usr/share/vim/addons/indent/cmake.vim
	#cp Docs/cmake-syntax.vim debian/cmake/usr/share/vim/addons/syntax/cmake.vim
	cp Docs/cmake-mode.el debian/cmake/usr/share/emacs/site-lisp/

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog.txt ChangeLog.manual
	dh_link
	dh_strip
	dh_compress -XCMake.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch

## cmake 2.6.1-1maemo7

=== debian/changelog ===
cmake (2.6.1-1maemo7) intrepid; urgency=low

  * Newer upstream.
  * Fix build-deps.
  * Force HAVE_POLL_FINE.
  * Force system libraries.
  * Use different method for copying files.

 -- Jonas Hurrelmann <j@outpo.st>  Sun, 18 Aug 2008 18:24:01 +0200
